import React from 'react';
import type { ToggleInputBaseProps } from '@highlight-ui/toggle-input';
export declare type RadioButtonProps = ToggleInputBaseProps;
declare const RadioButton: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "children"> & {
    label?: string | undefined;
    subLabel?: string | undefined;
    tooltipContent?: React.ReactNode;
    tooltipMouseOutDelay?: import("@highlight-ui/tooltip").MouseDelayVariant | undefined;
    tone?: "error" | "default" | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export default RadioButton;
